Subject: Re: [PATCH RFC] net: sfp: support assigning status LEDs to SFP connectors

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 11 May 2022 11:12:56 +0100

On Tue, May 10, 2022 at 11:56:06AM +0300, Josua Mayer wrote:
> 
> Am 09.05.22 um 15:49 schrieb Andrew Lunn:
> > On Mon, May 09, 2022 at 03:29:38PM +0300, Josua Mayer wrote:
> > > Dear Maintainers,
> > > 
> > > I am working on a new device based on the LX2160A platform, that exposes
> > > 16 sfp connectors, each with its own led controlled by gpios intended
> > > to show link status.
> > Can you define link status?
> I am still struggling with the lower levels of networking terminology ... so
> I was considering when ethtool would report "Link detected: yes".

That is what the netdev LED trigger uses for "link".

> >   It is a messy concept with SFPs. Is it
> > !LOS? I guess not, because you would not of used a GPIO, just hard
> > wired it.
> I believe the intention was to decide later what information to visualize.
> In this iteration there is one LED per sfp connector, with one colour.
> But it is conceivable to in the future add more, and use them to indicate
> e.g. the negotiated speed (10/100/1000/10000).

Doing this at the SFP layer won't get you that - the SFP layer doesn't
know what speed has actually been decided upon.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!